Skip to content
Guides
API reference
stablecatalog:read

Get categories tree

Retrieve a hierarchical tree of categories

GET/v1/catalog/categories/tree

Retrieve a hierarchical tree of categories

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/categories/tree"
[  {    "id": "string",    "storeId": "string",    "name": "string",    "slug": "string",    "logo": null,    "icon": null,    "description": null,    "order": 0,    "parentId": null,    "path": "string",    "requiresSizeGuide": true,    "commissionPercentage": null,    "commissionFixedFee": null,    "level": 0,    "hasChildren": true,    "children": [      {}    ]  }]